| Haskell Hierarchical Libraries (QuickCheck package) | Contents | Index

Debug.QuickCheck.Batch

Portability | non-portable (uses Control.Exception, Control.Concurrent)
Stability | experimental
Maintainer | libraries@haskell.org

Description
This is a batch driver for running QuickCheck (GHC only).
Documentation
run :: Testable a => a -> TestOptions -> IO TestResult
runTests :: String -> TestOptions -> [TestOptions -> IO TestResult] -> IO ()
defOpt :: TestOptions
data TestOptions

Constructors

TestOptions |

no_of_tests :: Int |
length_of_tests :: Int |
debug_tests :: Bool |

data TestResult

Constructors

TestOk String Int [[String]] |
TestExausted String Int [[String]] |
TestFailed [String] Int |
TestAborted Exception |

isBottom :: a -> Bool
bottom :: a
Produced by Haddock version 0.6